Skip to main content
GET
/
customers
/
{id}
Get customer
curl --request GET \
  --url https://api.weav.com/v1/customers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "locale": "<string>",
  "country": "<string>",
  "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "avatar_url": "<string>",
  "first_seen_at": "2023-11-07T05:31:56Z",
  "last_seen_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Path Parameters

id
string<uuid>
required

Response

Customer

id
string<uuid>
first_name
string | null
last_name
string | null
email
string<email>
phone
string | null
locale
string | null
country
string | null
company_id
string<uuid> | null
avatar_url
string<uri> | null
first_seen_at
string<date-time> | null
last_seen_at
string<date-time> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null